Gallery Platform API
Reference

List custom-field definitions

Returns the gallery's custom-field catalog, optionally scoped to one resource type (owner_type).

GET
/gallery/resource-fields

Returns the gallery's custom-field catalog, optionally scoped to one resource type (owner_type).

Authorization

bearerAuth gallery:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: gallery:read

Query Parameters

owner_type?string

Value in

  • "artwork"
  • "contact"
  • "show"
  • "list"

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "owner_type": "artwork",      "group_label": "string",      "name": "string",      "field_type": "string",      "options": null,      "position": -9007199254740991,      "is_public": true,      "created_at": "string",      "updated_at": "string"    }  ]}